      subroutine astar(gamma)

c     compute Mach from A/A*
c     newton iteration

      implicit none

c arguments
      real    gamma
c end
      integer ibr,itmax,it
      real    arastar
      real    am1,mach,conv,fm,ex,ff,f1,fp,am2

      itmax = 100
      conv  = .00001

      write(6,*) 'Enter A/A*'
      read(5,*) arastar

      do ibr = 1,2
c       first do subsonic branch
        am1 = .5
        if ( ibr .eq. 2 ) am1 = 1.2

        do it = 1,itmax
          fm = 1. + .5*(gamma-1.)*am1*am1
          ex = .5*(gamma+1.)/(gamma-1.)
          ff = (2./(gamma+1.)*fm)**ex
          f1 = arastar - ff/am1
          fp = ff/(am1*am1) - (2./(gamma+1.)*fm)**(ex-1.)
          am2 = am1 - f1/fp
          if ( am2 .lt. 0. ) am2 = .1*am1
          if ( am2 .gt. 1. .and. am1 .le. 1. ) am2 = .99
          if ( am2 .le. 1. .and. am1 .gt. 1. ) am2 = 1.01
          if ( abs((am2-am1)/am2) .lt. conv) go to 20
          am1 = am2
        end do
        write(6,*) 'did not converge'
        mach = -9999999.
   20   continue
        mach = am2

        if ( ibr .eq. 1 ) then
          write(6,*) 'Subsonic branch:   Mach: ',mach
        else
          write(6,*) 'Supersonic branch: Mach: ',mach
        end if
      end do

      return
      end
