      subroutine naca1135(gamma,gascon)
      implicit none

c arguments
      real    gamma
      real    gascon
c end
      real    mach
      real    fm,trt0,prp0,rrr0,ara0,astar
      real    p2rp1,r2rr1,t2rt1,machd,p02rp01

      write(6,*) 'Enter Mach'
      read(5,*) mach

      fm = 1. + .5*(gamma-1.)*mach*mach
      trt0 = 1./fm
      prp0 = fm**(-gamma/(gamma-1.))
      rrr0 = fm**(-1./(gamma-1.))
      ara0 = 1./sqrt(fm)
      astar= mach*(fm*2./(gamma+1.))**(-(gamma+1.)/(2.*(gamma-1.)) )

      write(6,*) ' '
      write(6,*) '  Mach       P/P0       r/r0       T/T0       A*/A'
      write(6,1001) mach,prp0,rrr0,trt0,astar
 1001 format ( 1x,5(1pe11.3))

      if ( mach .gt. 1. ) then
        p2rp1 = (2.*gamma*mach*mach - (gamma - 1.) ) / ( gamma + 1.)
        r2rr1 = ((gamma+1.)*mach*mach)/((gamma-1.)*mach*mach + 2.)
        t2rt1 = p2rp1/r2rr1
        machd = sqrt( ((gamma-1.)*mach*mach + 2.)
     &               /(2.*gamma*mach*mach - (gamma-1.)) )
        p02rp01 = r2rr1**(gamma/(gamma-1.))
     &           *p2rp1**(-1./(gamma-1.))

        write(6,*) '  Mach       P2/P1      r2/r1      t2/t1      Mach2'
        write(6,1001) mach,p2rp1,r2rr1,t2rt1,machd
        write(6,*) '  Mach       P02/P01'
        write(6,1001) mach,p02rp01
      end if

      return
      end
